.top-nav a.wp-block-navigation-item__content {
    padding: 12px 16px;
    border-radius: 24px;
}

.top-nav li.current-menu-item > a.wp-block-navigation-item__content,
.top-nav li.current-menu-ancestor > a.wp-block-navigation-item__content,
.top-nav a.wp-block-navigation-item__content:hover {
    background-color: var(--wp--preset--color--violet-300);
}

.top-nav .wp-block-search__button.has-icon {
    background-color: var(--wp--preset--color--neutral-grey-100);
    padding: 0;
    width: 48px;
    height: 48px;
    align-items: center;
    z-index: 1;
}

.top-nav .wp-block-search__button.has-icon svg {
    color: var(--wp--preset--color--brand-primary-navy);
    min-height: 18px;
}

.wp-block-search.wp-block-search__button-only .wp-block-search__input {
    transition-duration: 0s;
    background: var(--wp--preset--color--neutral-grey-100);
    border-color: var(--wp--preset--color--neutral-grey-100);
    border-radius: 24px;
    margin-right: calc(var(--top-nav-button-size, 48px) * -1);
    z-index: 0;
    padding-right: var(--top-nav-button-size, 48px);
}

.top-nav .wp-font-awesome-icon {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    background-color: var(--wp--preset--color--neutral-grey-100);
    width: var(--top-nav-button-size, 48px);
    height: var(--top-nav-button-size, 48px);
    margin-left: var(--wp--preset--spacing--spacing-xsm);
}

.top-nav .wp-block-button {
    height: var(--top-nav-button-size, 48px);
}

.top-nav .wp-block-button__link {
    display: inline-flex;
    align-items: center;
    margin-top: 1px;
    font-weight: 400;
}
